Package org.eclipse.gef.zest.fx

# Class ZestFxModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.MvcFxModule
org.eclipse.gef.zest.fx.ZestFxModule

All Implemented Interfaces:
  `Module`

Direct Known Subclasses:
  `ZestFxJFaceModule`

public class ZestFxModule extends MvcFxModule
The `ZestFxModule` defines Zest.FX specific bindings additional to the bindings defined within `MvcFxModule`.

## Constructor Summary

Constructors
Constructor
Description
`ZestFxModule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindAbstractContentPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindChangeViewportPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindEdgeLabelPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `EdgeLabelPart` and all sub-classes.
`protected void`
`bindEdgePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `EdgePart` and all sub-classes.
`protected void`
`bindFXCircleSegmentHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Bind bend-on-drag policy to `CircleSegmentHandlePart`.
`protected void`
`bindFXSquareSegmentHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Bind resize and rotate behavior to `SquareSegmentHandlePart`.
`protected void`
`bindGraphPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `GraphPart` and all sub-classes.
`protected void`
`bindHidingHoverHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `HideHoverHandlePart` and all sub-classes.
`protected void`
`bindHoverHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindIContentPartFactory()`
Binds `IContentPartFactory` to `ZestFxContentPartFactory`.
`protected void`
`bindIRootPartAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindIViewerAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindNavigationModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `NavigationModel` to the given adapter map binder that will insert the bindings into `IViewer`s.
`protected void`
`bindNodeLabelPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `NodeLabelPart` and all sub-classes.
`protected void`
`bindNodePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `NodePart` and all sub-classes.
`protected void`
`bindRootPartAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindSelectionFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindSelectionHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindShowHiddenNeighborsHoverHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `ShowHiddenNeighborsHoverHandlePart` and all sub-classes.
`protected void`
`bindShowHiddenNeighborsOfFirstAnchorageOnClickHandlerAsShowHiddenNeighborsHoverHandlePartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ShowHiddenNeighborsOfFirstAnchorageOnClickHandler` to the given adapter map binder that will insert the bindings into `ShowHiddenNeighborsHoverHandlePart`s.
`protected void`
`configure()`

### Methods inherited from class org.eclipse.gef.mvc.fx.MvcFxModule

`bindAbstractFeedbackPartAdapters, bindAbstractHandlePartAdapters, bindAbstractVisualPartAdapters, bindClickDragGesture, bindClickDragGestureAsDomainAdapter, bindConnectedSupportAsContentViewerAdapter, bindContentBehaviorAsIRootPartAdapter, bindContentIViewerAsIDomainAdapter, bindContentPartPoolAsContentViewerAdapter, bindContentPolicyAsAbstractContentPartAdapter, bindCreationPolicyAsIRootPartAdapter, bindCursorSupportAsContentViewerAdapter, bindDeletionPolicyAsIRootPartAdapter, bindFocusAndSelectOnClickHandlerAsIRootPartAdapter, bindFocusBehaviorAsIRootPartAdapter, bindFocusFeedbackPartFactoryAsContentViewerAdapter, bindFocusModelAsContentViewerAdapter, bindFocusTraversalPolicyAsIRootPartAdapter, bindGridBehaviorAsIRootPartAdapter, bindGridModelAsContentViewerAdapter, bindHoverBehaviorAsIRootPartAdapter, bindHoverFeedbackPartFactoryAsContentViewerAdapter, bindHoverGesture, bindHoverGestureAsDomainAdapter, bindHoverIntentBehaviorAsIRootPartAdapter, bindHoverModelAsContentViewerAdapter, bindHoverOnHoverHandlerAsAbstractHandlePartAdapter, bindHoverOnHoverHandlerAsIRootPartAdapter, bindIContentPartFactoryAsContentViewerAdapter, bindIDomain, bindIDomainAdapters, bindIHandlerResolver, bindIHandlerResolverAsIDomainAdapter, bindIOperationHistory, bindIRootPart, bindIUndoContext, bindIViewer, bindMarqueeOnDragHandlerAsIRootPartAdapter, bindPanningSupportAsContentViewerAdapter, bindPanOnTypeHandlerAsIRootPartAdapter, bindPanOrZoomOnScrollHandlerAsIRootPartAdapter, bindPinchSpreadGesture, bindPinchSpreadGestureAsIDomainAdapter, bindRevealPrimarySelectionBehaviorAsIRootPartAdapter, bindRotateGesture, bindRotateGestureAsDomainAdapter, bindScrollGesture, bindScrollGestureAsDomainAdapter, bindSelectionBehaviorAsIRootPartAdapter, bindSelectionModelAsContentViewerAdapter, bindSnappingBehaviorAsIRootPartAdapter, bindSnappingFeedbackPartFactoryAsContentViewerAdapter, bindSnappingModelAsContentViewerAdapter, bindSnapToSupportAsContentViewerAdapter, bindTransformProviderAsAbstractContentPartAdapter, bindTypeGesture, bindTypeGestureAsDomainAdapter, bindZoomOnPinchSpreadHandlerAsIRootPartAdapter, enableAdapterMapInjection`

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxModule

public ZestFxModule()

## Method Details

### bindAbstractContentPartAdapters

protected void bindAbstractContentPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindAbstractContentPartAdapters` in class `MvcFxModule`

### bindChangeViewportPolicyAsIRootPartAdapter

protected void bindChangeViewportPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindChangeViewportPolicyAsIRootPartAdapter` in class `MvcFxModule`

### bindEdgeLabelPartAdapters

protected void bindEdgeLabelPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `EdgeLabelPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `EdgeLabelPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindEdgePartAdapters

protected void bindEdgePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `EdgePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `EdgePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindFXCircleSegmentHandlePartAdapters

protected void bindFXCircleSegmentHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Bind bend-on-drag policy to `CircleSegmentHandlePart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `CircleSegmentHandlePart` as a key.

### bindFXSquareSegmentHandlePartAdapters

protected void bindFXSquareSegmentHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Bind resize and rotate behavior to `SquareSegmentHandlePart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `SquareSegmentHandlePart` as a key.

### bindGraphPartAdapters

protected void bindGraphPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `GraphPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `GraphPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHidingHoverHandlePartAdapters

protected void bindHidingHoverHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `HideHoverHandlePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `HideHoverHandlePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverHandlePartFactoryAsContentViewerAdapter

protected void bindHoverHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindHoverHandlePartFactoryAsContentViewerAdapter` in class `MvcFxModule`

### bindIContentPartFactory

protected void bindIContentPartFactory()
Binds `IContentPartFactory` to `ZestFxContentPartFactory`.

### bindIRootPartAdaptersForContentViewer

protected void bindIRootPartAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindIRootPartAdaptersForContentViewer` in class `MvcFxModule`

### bindIViewerAdaptersForContentViewer

protected void bindIViewerAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindIViewerAdaptersForContentViewer` in class `MvcFxModule`

### bindNavigationModelAsContentViewerAdapter

protected void bindNavigationModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `NavigationModel` to the given adapter map binder that will insert the bindings into `IViewer`s.

Parameters:
  `adapterMapBinder` - The adapter map binder to which the binding is added.

### bindNodeLabelPartAdapters

protected void bindNodeLabelPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `NodeLabelPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `NodeLabelPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindNodePartAdapters

protected void bindNodePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `NodePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `NodePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindRootPartAsContentViewerAdapter

protected void bindRootPartAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindRootPartAsContentViewerAdapter` in class `MvcFxModule`

### bindSelectionFeedbackPartFactoryAsContentViewerAdapter

protected void bindSelectionFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindSelectionFeedbackPartFactoryAsContentViewerAdapter` in class `MvcFxModule`

### bindSelectionHandlePartFactoryAsContentViewerAdapter

protected void bindSelectionHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Overrides:
  `bindSelectionHandlePartFactoryAsContentViewerAdapter` in class `MvcFxModule`

### bindShowHiddenNeighborsHoverHandlePartAdapters

protected void bindShowHiddenNeighborsHoverHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `ShowHiddenNeighborsHoverHandlePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `ShowHiddenNeighborsHoverHandlePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindShowHiddenNeighborsOfFirstAnchorageOnClickHandlerAsShowHiddenNeighborsHoverHandlePartAdapter

protected void bindShowHiddenNeighborsOfFirstAnchorageOnClickHandlerAsShowHiddenNeighborsHoverHandlePartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ShowHiddenNeighborsOfFirstAnchorageOnClickHandler` to the given adapter map binder that will insert the bindings into `ShowHiddenNeighborsHoverHandlePart`s.

Parameters:
  `adapterMapBinder` - The adapter map binder to which the binding is added.

### configure

protected void configure()

Overrides:
  `configure` in class `MvcFxModule`